Bug 860431 - EUDC can't handle empty last names in BBDB
EUDC can't handle empty last names in BBDB
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: emacs (Show other bugs)
17
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Karel Klíč
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-25 15:42 EDT by Sergio Durigan Junior
Modified: 2013-03-03 18:03 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-06 02:23:44 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to fix the issue (3.33 KB, patch)
2012-11-05 23:00 EST, Sergio Durigan Junior
no flags Details | Diff

  None (edit)
Description Sergio Durigan Junior 2012-09-25 15:42:12 EDT
Description of problem:

This bug is a Fedora-related mirror of emacs bug #11580:

http://lists.gnu.org/archive/html/bug-gnu-emacs/2012-05/msg00819.html

I have proposed a patch upstream to fix the problem:

http://lists.gnu.org/archive/html/emacs-devel/2012-09/msg00524.html

The patch has not yet been reviewed/accepted, but I would like to see it backported to Fedora ASAP.

Version-Release number of selected component (if applicable):

emacs-common-24.1-4.fc17.x86_64

The bug also happens on F16, using:

emacs-common-23.3-9.fc16.x86_64

How reproducible:

Every time.

Steps to Reproduce:
1. With EUDC configured to consult BBDB, create an entry in BBDB with an empty last name (e.g., "email@example.com" "" "email@example.com")
2. Create a new e-mail message, and try to complete the entry's name.
3. See the "Unexpected attribute value" error message.

Please let me know if you need more info.

Thanks.
Comment 1 Sergio Durigan Junior 2012-10-02 01:44:24 EDT
Ping.

The patch has now been checked-in: http://lists.gnu.org/archive/html/emacs-diffs/2012-10/msg00035.html.
Comment 2 Sergio Durigan Junior 2012-11-05 23:00:37 EST
Created attachment 639073 [details]
Patch to fix the issue

This is the patch that have been accepted and committed upstream.  I backported it to the current F16 branch, but it should be fairly easy to backport it to the other branches as well.
Comment 3 Sergio Durigan Junior 2012-11-16 00:07:59 EST
Ping, again.  This bug is simple to fix, and very annoying.  It happens almost every time I start composing an e-mail inside Gnus.

Could you please give at least some feedback about it?  I have already provided the full patch to be applied against Fedora Emacs, it's just a matter of accepting (or rejecting with reasons) it.  Thanks.
Comment 4 Karel Klíč 2012-11-16 07:59:59 EST
Hi Sergio,

I'm going to build an updated Emacs today.
Comment 5 Fedora Update System 2012-11-19 06:13:31 EST
emacs-23.3-11.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/emacs-23.3-11.fc16
Comment 6 Fedora Update System 2012-11-19 06:13:42 EST
emacs-24.1-7.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/emacs-24.1-7.fc17
Comment 7 Fedora Update System 2012-11-19 06:13:53 EST
emacs-24.2-5.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/emacs-24.2-5.fc18
Comment 8 Fedora Update System 2012-11-19 14:34:01 EST
Package emacs-24.2-5.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing emacs-24.2-5.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-18499/emacs-24.2-5.fc18
then log in and leave karma (feedback).
Comment 9 Fedora Update System 2012-12-06 02:23:46 EST
emacs-24.2-5.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2012-12-06 22:25:11 EST
emacs-23.3-11.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2012-12-06 22:25:53 EST
emacs-24.1-7.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.